{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des co-responsable de l'application" %}

{% block pageActions %}
    {{ macro.addButton('app_coresponsable_add', 'Ajout', 'text-left') }}

    <br>

    {{ macro.associationMultipleButtonModal(
        'btn_association',
        'Associer un ou plusieurs co-responsable à une ou plusieurs entité(s)',
        'app_coresponsable_association',
        form,
        coresponsables.currentPageNumber,
        'modal-associate',
        'multi_organisation_user',
        'fields'
    ) }}

    {{ macro.btnDeleteMultipleWithModal(
        'btn_deletemultiple',
        'Suppression plusieurs co-responsable',
        'app_coresponsable_delete_multiple',
        'Voulez-vous vraiment supprimer ces co-responsables ?',
        coresponsables.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Co-responsable</th>
                <th scope="col">Représentant légale</th>
                <th scope="col">Information sur le DPO</th>
                <th scope="col">Entité(s) associée(s)</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for coresponsable in coresponsables %}
                <tr>
                    <th>
                        {% if (app.user.currentOrganisation not in coresponsable.organisations)  %}
                            {% set association = 'true' %}
                        {% else %}
                            {% set association = 'false' %}
                        {% endif %}

                        {% if (coresponsable.organisations is empty) %}
                            {% set delete = 'true' %}
                        {% else %}
                            {% set delete = 'false' %}
                        {% endif %}

                        <input id='checkbox-{{ coresponsable.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ coresponsable.id }}"
                               data-association="{{ association }}" data-deletemultiple="{{ delete }}">
                    </th>

                    <th>
                        {{ coresponsable.raisonsociale }}

                        {% if (coresponsable.siret is not empty) or (coresponsable.email is not empty) or (coresponsable.phone is not empty) %}
                            <ul>
                                {% if (coresponsable.siret is not empty) %}
                                    <li>Siret : {{ coresponsable.siret }}</li>
                                {% endif %}

                                {% if (coresponsable.email is not empty) %}
                                    <li>E-mail : {{ coresponsable.email }}</li>
                                {% endif %}

                                {% if (coresponsable.phone is not empty) %}
                                    <li>Téléphone : {{ coresponsable.phone }}</li>
                                {% endif %}
                            </ul>
                        {% endif %}
                    </th>

                    <th>
                        {% if (coresponsable.representant is not empty) %}
                            {{ coresponsable.representant.getNomcomplet }}

                            {% if (coresponsable.representant.function is not empty) or (coresponsable.representant.email is not empty) or (coresponsable.representant.phone is not empty) %}
                                <ul>
                                    {% if (coresponsable.representant.function is not empty) %}
                                        <li>Fonction : {{ coresponsable.representant.function }}</li>
                                    {% endif %}

                                    {% if (coresponsable.representant.email is not empty) %}
                                        <li>E-mail : {{ coresponsable.representant.email }}</li>
                                    {% endif %}

                                    {% if (coresponsable.representant.phone is not empty) %}
                                        <li>Téléphone fixe : {{ coresponsable.representant.phone }}</li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        {% endif %}
                    </th>

                    <th>
                        {% if (coresponsable.delegue is not empty) %}
                            {{ coresponsable.delegue.getNomcomplet }}

                            {% if (coresponsable.delegue.email is not empty) or (coresponsable.delegue.numberCnil is not empty) or (coresponsable.delegue.cellphone is not empty) or (coresponsable.delegue.phone is not empty) %}
                                <ul>
                                    {% if (coresponsable.delegue.email is not empty) %}
                                        <li>E-mail : {{ coresponsable.delegue.email }}</li>
                                    {% endif %}

                                    {% if (coresponsable.delegue.numberCnil is not empty) %}
                                        <li>Numéro CNIL : {{ coresponsable.delegue.numberCnil }}</li>
                                    {% endif %}

                                    {% if (coresponsable.delegue.cellphone is not empty) %}
                                        <li>Téléphone portable : {{ coresponsable.delegue.cellphone }}</li>
                                    {% endif %}

                                    {% if (coresponsable.delegue.phone is not empty) %}
                                        <li>Téléphone fixe : {{ coresponsable.delegue.phone }}</li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        {% endif %}
                    </th>

                    <th>
                        {% for organisation in coresponsable.organisations %}
                            <li>
                                {{ organisation.raisonsociale }}
                            </li>
                        {% endfor %}
                    </th>

                    <th>
                        {% if (coresponsable.organisations is empty) or is_granted('ROLE_SUPERADMIN') %}
                            {{ macro.editButton('app_coresponsable_edit', coresponsable.id) }}

                            {{ macro.deleteButtonModal(
                                coresponsable.id,
                                'Suppression du co-responsable',
                                'app_coresponsable_delete',
                                'Voulez-vous vraiment supprimer le co-responsable ?',
                                coresponsables.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(coresponsables) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
